Summary:	Notification daemon for Xfce desktop environment
Name:		notification-daemon-xfce
Version:	0.3.7
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/notification-daemon-xfce
Source:		http://goodies.xfce.org/releases/notification-daemon-xfce/%{name}-%{version}.tar.bz2
Buildrequires:	dbus-glib-devel
BuildRequires:	libsexy-devel
BuildRequires:	libxfce4util-devel >= 4.4.2
BuildRequires:	libxfcegui4-devel >= 4.4.2
BuildRequires:	xfce-mcs-manager-devel >= 4.4.2
BuildRequires:	perl(XML::Parser)
BuildRequires:	libnotify-devel
Provides:	virtual-notification-daemon
Conflicts:	notification-daemon
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Notification-daemon-xfce is a port of Gnomes 
notification-daemon for the Xfce desktop.

%prep
%setup -q

%build
%configure2_5x \
	--libexecdir=%{_bindir} \
	--enable-gradient-look \
	--disable-static \
	--enable-mcs-plugin \
	--enable-settings-preview
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_icon_cache hicolor

%preun
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
%dir %{_libdir}/notification-daemon-xfce-1.0
%dir %{_libdir}/notification-daemon-xfce-1.0/engines
%{_bindir}/notification-*
%{_libdir}/xfce4/mcs-plugins/notification_settings.*
%{_libdir}/notification-daemon-xfce-1.0/engines/*
%{_datadir}/applications/notification-settings.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Notifications.service
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7-6mdv2008.1
+ Revision: 110622
- new license policy
- add missing buildrequires
- do not package COPYING file

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.7-5mdv2008.0
+ Revision: 44453
- no need to call menu commands on %%post

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7-4mdv2008.0
+ Revision: 35086
- enable mcs-manager support
- requires libnotify

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7-2mdv2008.0
+ Revision: 34646
- add conflicts on notification-daemon
- provides virtual-notification-daemon

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7-1mdv2008.0
+ Revision: 34315
- new version
- adjust buildrequires
- drop P0
- binaries are only in bindir
- spec file clean


* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.6-6mdv2007.0
+ Revision: 132753
- Fix group (#28659)

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.6-5mdv2007.1
+ Revision: 108194
- fix provides

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.6-4mdv2007.1
+ Revision: 107075
- Remove Obsoletes

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.6-3mdv2007.1
+ Revision: 107051
- Add Conflicts
- Fix conflict with notification-daemon

* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.6-1mdv2007.1
+ Revision: 103566
- Fix spec errors
- Update Provides
- Import notification-daemon-xfce

